%define upstream_name    MooseX-Attribute-Chained
%define upstream_version 1.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Attribute that returns the instance to allow for chaining
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

Obsoletes: perl-MooseX-ChainedAccessors <= 0.20.0
Provides:  perl-MooseX-ChainedAccessors

%{?perl_default_filter}

%description
MooseX::Attribute::Chained is a Moose Trait which allows for method
chaining on accessors by returning $self on write/set operations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Oct 19 2014 umeabot <umeabot> 1.0.1-9.mga5
+ Revision: 790302
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 747770
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.1-7.mga5
+ Revision: 735779
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 685518
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-5.mga4
+ Revision: 521199
- Mageia 4 Mass Rebuild

* Fri Jan 18 2013 jquelin <jquelin> 1.0.1-4.mga3
+ Revision: 389308
- oops, wrong obsoletes

* Thu Jan 17 2013 jquelin <jquelin> 1.0.1-3.mga3
+ Revision: 389067
- update %%desc + obsoleting another pkg

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 370135
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 jquelin <jquelin> 1.0.1-1.mga2
+ Revision: 201907
- adding missing buildrequires:
- imported package perl-MooseX-Attribute-Chained


* Wed Jan 25 2012 cpan2dist 1.0.1-1mga
- initial mageia release, generated with cpan2dist
